package body MSHTML.IHTMLAnchorElement3_Object is

   procedure Put_shape
     (This : IHTMLAnchorElement3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLAnchorElement3_Put_shape,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_shape;

   function Get_shape
     (This : IHTMLAnchorElement3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLAnchorElement3_Get_shape);
   end Get_shape;

   procedure Put_coords
     (This : IHTMLAnchorElement3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLAnchorElement3_Put_coords,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_coords;

   function Get_coords
     (This : IHTMLAnchorElement3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLAnchorElement3_Get_coords);
   end Get_coords;

   procedure Put_href
     (This : IHTMLAnchorElement3_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLAnchorElement3_Put_href,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_href;

   function Get_href
     (This : IHTMLAnchorElement3_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLAnchorElement3_Get_href);
   end Get_href;

end MSHTML.IHTMLAnchorElement3_Object;

